package es.cipfpbatoi.dao;
// Generated 16-abr-2020 12:36:13 by Hibernate Tools 4.3.1

import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;

/**
 * Departamento generated by hbm2java
 */

@Entity
public class Departamento implements java.io.Serializable {

    @Id
    @GeneratedValue
    private Integer idDepartamento;
    private Tipo tipo;
    private String nombre;
    @OneToMany(mappedBy = "",cascade = CascadeType.ALL)
    private Set empleados = new HashSet(0);

    public Departamento() {
    }

    public Departamento(Tipo tipo) {
        this.tipo = tipo;
    }

    public Departamento(Tipo tipo, String nombre, Set empleados) {
        this.tipo = tipo;
        this.nombre = nombre;
        this.empleados = empleados;
    }

    public Integer getIdDepartamento() {
        return this.idDepartamento;
    }

    public void setIdDepartamento(Integer idDepartamento) {
        this.idDepartamento = idDepartamento;
    }

    public Tipo getTipo() {
        return this.tipo;
    }

    public void setTipo(Tipo tipo) {
        this.tipo = tipo;
    }

    public String getNombre() {
        return this.nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public Set getEmpleados() {
        return this.empleados;
    }

    public void setEmpleados(Set empleados) {
        this.empleados = empleados;
    }

}
